"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.findByRole = exports.findAllByRole = exports.getByRole = exports.getAllByRole = exports.queryAllByRole = exports.queryByRole = void 0;

var _allUtils = require("./all-utils");

const queryAllByRole = _allUtils.queryAllByAttribute.bind(null, 'role');

exports.queryAllByRole = queryAllByRole;

const getMultipleError = (c, id) => `Found multiple elements by [role=${id}]`;

const getMissingError = (c, id) => `Unable to find an element by [role=${id}]`;

const [queryByRole, getAllByRole, getByRole, findAllByRole, findByRole] = (0, _allUtils.buildQueries)(queryAllByRole, getMultipleError, getMissingError);
exports.findByRole = findByRole;
exports.findAllByRole = findAllByRole;
exports.getByRole = getByRole;
exports.getAllByRole = getAllByRole;
exports.queryByRole = queryByRole;